test: _CONSOLE_REGISTRY_INFO struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _CONSOLE_REGISTRY_INFO Struct Reference

`#include <server.h>`

List of all members.

## Public Attributes

COORD | ScreenBufferSize
COORD | WindowSize
COORD | WindowOrigin
COORD | FontSize
UINT | FontFamily
UINT | FontWeight
WCHAR | FaceName [LF_FACESIZE]
UINT | CursorSize
BOOL | FullScreen
BOOL | QuickEdit
BOOL | InsertMode
BOOL | AutoPosition
CHAR_INFO | ScreenFill
CHAR_INFO | PopupFill
UINT | HistoryBufferSize
UINT | NumberOfHistoryBuffers
BOOL | HistoryNoDup
COLORREF | ColorTable [16]
LONGLONG | LastWriteTime

## Member Data Documentation

BOOL _CONSOLE_REGISTRY_INFO::AutoPosition

| Definition at line 426 of file server.h. Referenced by InitializeConsoleAttributes(), and LoadLinkInfo().

COLORREF _CONSOLE_REGISTRY_INFO::ColorTable[16]

| Definition at line 432 of file server.h. Referenced by InitializeConsoleAttributes(), InitWindowClass(), and LoadLinkInfo().

UINT _CONSOLE_REGISTRY_INFO::CursorSize

| Definition at line 422 of file server.h. Referenced by InitializeConsoleAttributes(), and LoadLinkInfo().

WCHAR _CONSOLE_REGISTRY_INFO::FaceName[LF_FACESIZE]

| Definition at line 421 of file server.h. Referenced by InitializeConsoleAttributes(), and LoadLinkInfo().

UINT _CONSOLE_REGISTRY_INFO::FontFamily

| Definition at line 419 of file server.h. Referenced by InitializeConsoleAttributes(), and LoadLinkInfo().

COORD _CONSOLE_REGISTRY_INFO::FontSize

| Definition at line 418 of file server.h. Referenced by InitializeConsoleAttributes(), and LoadLinkInfo().

UINT _CONSOLE_REGISTRY_INFO::FontWeight

| Definition at line 420 of file server.h. Referenced by InitializeConsoleAttributes(), and LoadLinkInfo().

BOOL _CONSOLE_REGISTRY_INFO::FullScreen

| Definition at line 423 of file server.h. Referenced by InitializeConsoleAttributes(), and LoadLinkInfo().

UINT _CONSOLE_REGISTRY_INFO::HistoryBufferSize

| Definition at line 429 of file server.h. Referenced by InitializeConsoleAttributes(), and LoadLinkInfo().

BOOL _CONSOLE_REGISTRY_INFO::HistoryNoDup

| Definition at line 431 of file server.h. Referenced by InitializeConsoleAttributes(), and LoadLinkInfo().

BOOL _CONSOLE_REGISTRY_INFO::InsertMode

| Definition at line 425 of file server.h. Referenced by InitializeConsoleAttributes(), and LoadLinkInfo().

LONGLONG _CONSOLE_REGISTRY_INFO::LastWriteTime

| Definition at line 433 of file server.h. Referenced by GetRegistryValues(), and InitializeConsoleAttributes().

UINT _CONSOLE_REGISTRY_INFO::NumberOfHistoryBuffers

| Definition at line 430 of file server.h. Referenced by InitializeConsoleAttributes(), and LoadLinkInfo().

CHAR_INFO _CONSOLE_REGISTRY_INFO::PopupFill

| Definition at line 428 of file server.h. Referenced by InitializeConsoleAttributes(), and LoadLinkInfo().

BOOL _CONSOLE_REGISTRY_INFO::QuickEdit

| Definition at line 424 of file server.h. Referenced by InitializeConsoleAttributes(), and LoadLinkInfo().

COORD _CONSOLE_REGISTRY_INFO::ScreenBufferSize

| Definition at line 415 of file server.h. Referenced by InitializeConsoleAttributes(), InitializeScrollBuffer(), and LoadLinkInfo().

CHAR_INFO _CONSOLE_REGISTRY_INFO::ScreenFill

| Definition at line 427 of file server.h. Referenced by InitializeConsoleAttributes(), InitWindowClass(), and LoadLinkInfo().

COORD _CONSOLE_REGISTRY_INFO::WindowOrigin

| Definition at line 417 of file server.h. Referenced by InitializeConsoleAttributes(), and LoadLinkInfo().

COORD _CONSOLE_REGISTRY_INFO::WindowSize

| Definition at line 416 of file server.h. Referenced by InitializeConsoleAttributes(), and LoadLinkInfo().

The documentation for this struct was generated from the following file:

- server.h